///////////////////////////////////////////////////////////////////////////// 
// INTEGRITY STATEMENT (v3)
//
// By signing your name and ID below you are stating that you have agreed
// to the online academic integrity statement:
// https://student.cs.uwaterloo.ca/~cs136/current/assignments/integrity.shtml
/////////////////////////////////////////////////////////////////////////////
// I received help from and/or collaborated with: 
 
// ERROR_NO_INTEGRITY_STATEMENT 
//  
// Name: ERROR_NO_NAME 
// login ID: ERROR_NO_LOGIN 
///////////////////////////////////////////////////////////////////////////// 


#include "cs136.h"

void print_money(int amount) {
  
}

void print_bill(int amount, int tax_rate, int tip_rate) {
  // "bill:  "
  // "tax:   "
  // "tip:   "
  // "total: "
}

///////////////////////////////////////////////////////
// You do not need to modify the rest of the program //
///////////////////////////////////////////////////////

// test_print_bill() tests the print_bill function by passing it values
//   read from input, stopping only when a failure occurs
// note: prints an extra "======\n" after each call to print_bill
//       to make the test cases easier to separate
// effects: reads input
//          produces output
void test_print_bill(void) {
  int amount = read_int();
  int tax_rate = read_int();
  int tip_rate = read_int();
  if (tip_rate != READ_INT_FAIL) {
    print_bill(amount, tax_rate, tip_rate);
    printf("======\n");
    test_print_bill();
  }
}

int main(void) {
  test_print_bill();
}
