/////////////////////////////////////////////////////////////////////////////
// INTEGRITY STATEMENT (v3)
//
// By signing your name and ID below you are stating that you have agreed
// to the online academic integrity statement:
// https://student.cs.uwaterloo.ca/~cs136/current/assignments/integrity.shtml
/////////////////////////////////////////////////////////////////////////////
// I received help from and/or collaborated with:

// ERROR_NO_INTEGRITY_STATEMENT
//
// Name: ERROR_NO_NAME
// login ID: ERROR_NO_LOGIN
/////////////////////////////////////////////////////////////////////////////

#include "cs136.h"

void robot_forward(int distance) {
  // "ERROR: invalid distance\n"
}

void robot_left(void) {
}

void robot_right(void) {
}

void robot_place(void) {
  // "ERROR: beacon already placed\n";
}

void robot_pickup(void) {
  // "ERROR: beacon is not placed or not at this location\n"
}

void robot_status(void) {
  //"robot is at (%d,%d) and is facing "
  // "north\n"
  // "south\n"
  // "east\n"
  // "west\n"
  // "the distance to the beacon is: %d\n"
  // "the bounding box is (%d,%d)-(%d,%d)\n"
}

void robot_reset(void) {
}


///////////////////////////////////////////////////
// YOU MAY NOT MODIFY THE REMAINDER OF THIS FILE //
///////////////////////////////////////////////////

int main(void) {
  // yes, we're using a loop on A1 but you can't until A2  
  while (true) {
    int cmd = read_symbol();
    if (cmd == lookup_symbol("fwd")) {
      int distance = read_int();
      if (distance == READ_INT_FAIL) {
        break;
      }
      robot_forward(distance);
    } else if (cmd == lookup_symbol("left")) {
      robot_left();
    } else if (cmd == lookup_symbol("right")) {
      robot_right();
    } else if (cmd == lookup_symbol("place")) {
      robot_place();
    } else if (cmd == lookup_symbol("pickup")) {
      robot_pickup();
    } else if (cmd == lookup_symbol("status")) {
      robot_status();
    } else if (cmd == lookup_symbol("reset")) {
      robot_reset();
    } else {
      break;
    }
  }
}
